cl.cromer.mt

## Class LeerXML

- java.lang.Object
- - cl.cromer.mt.LeerXML

    public class LeerXML
    extends java.lang.Object

Esta clase puede abrir y validar un archivo de XML. Se necesita un archivo mtbase.dtd

### Nested Class Summary

Nested Classes
`class` `LeerXML.CustomErrorHandler` Esta clase es para manejar problemas en los archivo .xml

### Constructor Summary

Constructors
Constructor and Description
`LeerXML()`

### Method Summary

All Methods Instance Methods Concrete Methods
`private org.w3c.dom.Document` `createDocument(java.io.File archivo)` Crear un documento de XML
`private java.io.File` `fixXML(java.io.File original)` Arreglar el archivo de XML si no es valido.
`org.w3c.dom.Document` `leerArchivo(java.io.File archivo)` El metodo va a verificar que el archivo existe y que contiene XML valido.
`private boolean` `validarEtiquetas(org.w3c.dom.Document document)` Validar las etiquetas en el XML
`private org.w3c.dom.Document` `validarXML(java.io.File original)` Este metodo se usa para validar el XML.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LeerXML

    public LeerXML()

### Method Detail

#### leerArchivo

    public org.w3c.dom.Document leerArchivo(java.io.File archivo)

El metodo va a verificar que el archivo existe y que contiene XML valido. Si es valido devuelve el documento.

Parameters:
  `archivo` - Es el archivo a abrir.
Returns:
  Devuelve un document de XML o null si hay algun error.

#### createDocument

    private org.w3c.dom.Document createDocument(java.io.File archivo)

Crear un documento de XML

Parameters:
  `archivo` - Es el archivo XML
Returns:
  Retorna un document del XML o null si hay algun error.

#### validarXML

    private org.w3c.dom.Document validarXML(java.io.File original)

Este metodo se usa para validar el XML.

Parameters:
  `original` - es el archivo original del XML
Returns:
  Retorna un document de un XML arreglado, null si el xml no es coherente a lo que se pide

#### fixXML

    private java.io.File fixXML(java.io.File original)

Arreglar el archivo de XML si no es valido.

Parameters:
  `original` - Es el archivo XML sin cambios
Returns:
  un file de XML adaptado para ser validado

#### validarEtiquetas

    private boolean validarEtiquetas(org.w3c.dom.Document document)

Validar las etiquetas en el XML

Parameters:
  `document` - XML a analizar
Returns:
  Verdadero si está correcto, caso contrario falso